org.eclipse.actf.model.flash.util

## Class SwfInfo

- java.lang.Object
- - org.eclipse.actf.model.flash.util.SwfInfo

    public class SwfInfo
    extends Object

A class representing SWF file information.

### Constructor Summary

Constructors
Constructor and Description
`SwfInfo()`

### Method Summary

Methods
`int` `getAsVersion()`
`int` `getFrameSizeX()` Returns frame width in twips.
`int` `getFrameSizeY()` Returns frame height in twips.
`int` `getSwfVersion()`
`void` `setAsVersion(int asVersion)`
`void` `setFrameSizeX(int frameSizeX)`
`void` `setFrameSizeY(int frameSizeY)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SwfInfo

    public SwfInfo()

### Method Detail

#### getSwfVersion

    public int getSwfVersion()

#### getAsVersion

    public int getAsVersion()

#### setAsVersion

    public void setAsVersion(int asVersion)

#### getFrameSizeX

    public int getFrameSizeX()

Returns frame width in twips.

Returns:
  frame width in twips

#### setFrameSizeX

    public void setFrameSizeX(int frameSizeX)

#### getFrameSizeY

    public int getFrameSizeY()

Returns frame height in twips.

Returns:
  frame height in twips

#### setFrameSizeY

    public void setFrameSizeY(int frameSizeY)